summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Sachau <tommy@gentoo.org>2018-03-03 16:27:46 +0100
committerThomas Sachau <tommy@gentoo.org>2018-03-03 16:27:46 +0100
commit3b5054ceecf42f91ed10e03e01b20216b72dcd23 (patch)
treea0291cf84e5aa055b87a981fd0eb22e67f3c7c3b
parentSync portage (diff)
downloadmultilib-portage-3b5054ceecf42f91ed10e03e01b20216b72dcd23.tar.gz
multilib-portage-3b5054ceecf42f91ed10e03e01b20216b72dcd23.tar.bz2
multilib-portage-3b5054ceecf42f91ed10e03e01b20216b72dcd23.zip
Version bump, fix issue with leftover files
-rw-r--r--sys-apps/portage/Manifest13
-rw-r--r--sys-apps/portage/portage-2.3.24.ebuild (renamed from sys-apps/portage/portage-2.3.19-r1.ebuild)34
2 files changed, 30 insertions, 17 deletions
diff --git a/sys-apps/portage/Manifest b/sys-apps/portage/Manifest
index b99f700ca..167ba15b2 100644
--- a/sys-apps/portage/Manifest
+++ b/sys-apps/portage/Manifest
@@ -1,16 +1,5 @@
------BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA256
-
AUX README.RESCUE 137 SHA256 69bea0c755eab59b6b4d90838b8551744f0b0c8eeac170b1cd13a71ee83f9ac4 SHA512 dba0f0d6d4cd140e636cc70dfb7bdb298e2f2fb040bc07b0874cac994bdbabd26bfd9361d85a0f8b9a92a185281e4901606b9e4f563afdc8867341bbe6af1cb0 WHIRLPOOL 713fcc790442999d56e13efaf536fec9954dadeda680b3642d0358311332096ddedf8b55697bd1ca620d84f0dc7d025ff7931e086c74c1f5032be72dca2ff8f5
AUX portage-ccache.conf 60 SHA256 5175a18d3b81bd0aa499e0da6a2f44b920cf26f650e8dadea8dc2dc6551f8a39 SHA512 36427e57046118ecf982fc3b1a80a3543b5682e3eef7df5dfc8a50b261a5da56f997dd75f63c5194049aceea204c37aee638a3bc383b9f7a0eff8ac9c35f3b1c WHIRLPOOL f79ec05596e022d2d73cc18656e398cbca9c55c7ff65c51634f7ccd1a46af1845ef66649267773b93a2bcff9e1de621785231a1a18d42fff97026ff12594a3bc
-EBUILD portage-2.3.19-r1.ebuild 8679 SHA256 aa47dff8267d42498b048f8ab0db28aae05e9597e76eb2684b649dabbe698b8a SHA512 d126e506f32bf1328b01cdd35ecea66b4fd60a22c08cd7d1264d0f9b01535e7981a4b363a3bb4dfe52b979c6f55af2e7670290813b89bc1e5f3a5278dc62622b WHIRLPOOL 633ef2bc54c67beb8e59e66b1a76caeb7490fb96aa31922a78e74901c66945065c1c1d6b5e1ad1c36e7736d4740debadacb9d904bb31c181844eb0bd62e0d358
+EBUILD portage-2.3.24.ebuild 9445 SHA256 57da92c1891acaf68c1c89f9916edfc81a0cd62725720c6e0b738a509cdf64e1 SHA512 8d483d6eeff3cd77b3f0e64e32883321522e3ab09de0c1afbe9ef66df39b93d4ebc74738da30f6083b8b389db89661c3b0257561d84f4240ed73c45097b63836 WHIRLPOOL 6c91c2af74942cb1fb710361cac3d6f468683db247617c0f76298b69f4a68bbf5ceea7139beca86f5ab670abbdd14edec0c5ee4fa496b8f33b18f60ae4a3bb62
EBUILD portage-2.3.6-r1.ebuild 8865 SHA256 c4c300df276931854a9b35178cfa3ad517bc70cef438289b36b66d75ed4ff765 SHA512 50991bc94f2934454f5254dce47460a57d4e933a78e26cb2db9374856efff135c7d0564a52297f0416d922a22bb011ef6cc0623d17fa8b1ad9a880395c8e2f6c WHIRLPOOL de1a86c97dec170bc36f3afe548b1515ed3f84c8b79bba16edf288133391d9c1e76df388ab073921775968edc02f66852b7d70b7a339ca11c79cc3d31eabc0de
MISC metadata.xml 1147 SHA256 c4832ae64ab0915c65eadca15e4540680d109c21d572464f69e218d14fe6bd8b SHA512 733193cbfc96da31252b5e4109d0b76f797e339c41eda2c1230cc1d5b0e75912177570ed0140218a7a7b85d9b8bc53e8e6931e88810269c499be87af40e6b86c WHIRLPOOL bf901ca7474f9b8358c458edad904f9c0c853187c6dc8ea0bc0c327bded60940c6f8b20f0231d78d86aa7dc5235b23d70c69f7153cca9e375fa271c7c93707b9
------BEGIN PGP SIGNATURE-----
-
-iLMEAQEIAB0WIQQUEEce6kYbCwkDe/sbuSpxNYmQZwUCWlIsfwAKCRAbuSpxNYmQ
-ZxvuBACCyd9oC/2cE42enQVc8v0VSuu2275SxX4fNtZ7hMH2O7cq/D+nkQToMHFj
-IyjVtYYRfb6uPwf9XfbnP4scBqqcoJeDs2Pm2cPLKWGUHsdeHUL5CSaosiYF8MRq
-/Gb8Ms2bH05SHAU//2YDJqrPXqZUdW5PSifjuqTYZqp27UOI3g==
-=1+PK
------END PGP SIGNATURE-----
diff --git a/sys-apps/portage/portage-2.3.19-r1.ebuild b/sys-apps/portage/portage-2.3.24.ebuild
index 77284a3be..7c532f6bd 100644
--- a/sys-apps/portage/portage-2.3.19-r1.ebuild
+++ b/sys-apps/portage/portage-2.3.24.ebuild
@@ -10,18 +10,18 @@ PYTHON_COMPAT=(
)
PYTHON_REQ_USE='bzip2(+),threads(+)'
-inherit distutils-r1 git-2 multilib tmpfiles
+inherit distutils-r1 git-2 multilib systemd
EGIT_REPO_URI="git://anongit.gentoo.org/proj/portage.git"
EGIT_BRANCH="multilib"
-EGIT_COMMIT="2186b6acaa669b0bf64312d0e5294050f8aaefd0"
+EGIT_COMMIT="3228956aed7ba7caaaad7a07e48ed6013f73e523"
DESCRIPTION="Portage is the package management and distribution system for Gentoo"
HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Portage"
LICENSE="GPL-2"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
+KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
SLOT="0"
-IUSE="build doc epydoc +ipc linguas_ru +native-extensions selinux xattr"
+IUSE="build doc epydoc gentoo-dev +ipc +native-extensions +rsync-verify selinux xattr"
DEPEND="!build? ( $(python_gen_impl_dep 'ssl(+)') )
>=app-arch/tar-1.27
@@ -37,6 +37,8 @@ DEPEND="!build? ( $(python_gen_impl_dep 'ssl(+)') )
# for now, don't pull in xattr deps for other kernels.
# For whirlpool hash, require python[ssl] (bug #425046).
# For compgen, require bash[readline] (bug #445576).
+# app-portage/gemato goes without PYTHON_USEDEP since we're calling
+# the executable.
RDEPEND="
>=app-arch/tar-1.27
dev-lang/python-exec:2
@@ -46,6 +48,11 @@ RDEPEND="
>=app-admin/eselect-1.2
$(python_gen_cond_dep 'dev-python/pyblake2[${PYTHON_USEDEP}]' \
python{2_7,3_4,3_5} pypy)
+ rsync-verify? (
+ >=app-portage/gemato-10
+ app-crypt/gentoo-keys
+ app-crypt/gnupg[ssl(-)]
+ )
)
elibc_FreeBSD? ( sys-freebsd/freebsd-bin )
elibc_glibc? ( >=sys-apps/sandbox-2.2 )
@@ -77,6 +84,17 @@ pkg_setup() {
python_prepare_all() {
distutils-r1_python_prepare_all
+ if use gentoo-dev; then
+ einfo "Disabling --dynamic-deps by default for gentoo-dev..."
+ sed -e 's:\("--dynamic-deps", \)\("y"\):\1"n":' \
+ -i pym/_emerge/create_depgraph_params.py || \
+ die "failed to patch create_depgraph_params.py"
+
+ einfo "Enabling additional FEATURES for gentoo-dev..."
+ echo 'FEATURES="${FEATURES} ipc-sandbox network-sandbox strict-keepdir"' \
+ >> cnf/make.globals || die
+ fi
+
if use native-extensions; then
printf "[build_ext]\nportage-ext-modules=true\n" >> \
setup.cfg || die
@@ -95,6 +113,11 @@ python_prepare_all() {
|| die "failed to append to make.globals"
fi
+ if use build || ! use rsync-verify; then
+ sed -e '/^sync-rsync-verify-metamanifest/s|yes|no|' \
+ -i cnf/repos.conf || die "sed failed"
+ fi
+
if [[ -n ${EPREFIX} ]] ; then
einfo "Setting portage.const.EPREFIX ..."
sed -e "s|^\(SANDBOX_BINARY[[:space:]]*=[[:space:]]*\"\)\(/usr/bin/sandbox\"\)|\\1${EPREFIX}\\2|" \
@@ -122,6 +145,7 @@ python_prepare_all() {
einfo "Adjusting repos.conf ..."
sed -e "s|^\(location = \)\(/usr/portage\)|\\1${EPREFIX}\\2|" \
+ -e "s|^\(sync-openpgp-key-path = \)\(.*\)|\\1${EPREFIX}\\2|" \
-i cnf/repos.conf || die "sed failed"
if use prefix-guest ; then
sed -e "s|^\(main-repo = \).*|\\1gentoo_prefix|" \
@@ -193,7 +217,7 @@ python_install_all() {
esetup.py "${targets[@]}"
fi
- dotmpfiles "${FILESDIR}"/portage-ccache.conf
+ systemd_dotmpfilesd "${FILESDIR}"/portage-ccache.conf
# Due to distutils/python-exec limitations
# these must be installed to /usr/bin.